----------------------------------------------------------------------------------------------------------------------------------
MICROSOFT DATA LICENSE AGREEMENT
----------------------------------------------------------------------------------------------------------------------------------
Dataset:  Interactive Cane Training Data

These license terms are an agreement between you and Microsoft Corporation (or one of its affiliates).  They apply to the dataset named above and any Microsoft services or software updates (except to the extent such services or updates are accompanied by new or additional terms, in which case those different terms apply prospectively and do not alter your or Microsoft’s rights relating to pre-updated software or services).  IF YOU COMPLY WITH THESE LICENSE TERMS, YOU HAVE THE RIGHTS BELOW.

1.	INSTALLATION AND USE RIGHTS. You may install, use, copy, modify, and create derivative works of the Dataset:
	i.	for non-commercial or research purposes only. Examples of non-commercial uses are teaching, academic research, public demonstrations and personal experimentation; 
	ii.	for analyzing and testing purposes; and
	iii.	to publish (or present papers or articles) on your results from using such Dataset, provided that no material portion of the Dataset is included in any such publication or presentation.

2.	SCOPE OF LICENSE. The Dataset is licensed, not sold. Microsoft reserves all other rights.  Unless applicable law gives you more rights despite this limitation, you will not (and have no right to):
	a)	work around any technical limitations in the Dataset that only allow you to use it in certain ways;
	b)	reverse engineer, decompile or disassemble the Dataset;
	c)	remove, minimize, block, or modify any notices of Microsoft or its suppliers in the Dataset;
	d)	use the Dataset in any way that is against the law or to create or propagate malware; 
	e)	share, publish, or lend the Dataset, provide the Dataset as a stand-alone hosted solution for others to use, or transfer the Dataset or this Agreement to any third party; or
	f)	use the Dataset for commercial purposes.

3.	PUBLICATION REVIEW.  You will provide Microsoft with a copy of any proposed publication (this includes, without limitation, manuscripts, abstracts, presentations for professional meetings, and other publications) concerning the Dataset, at least thirty (30) days prior to submission for publication.  Microsoft shall have thirty (30) days (the “Pre-publication Review Period”) to review the proposed publication.  At Microsoft’s request, the proposed publication may be delayed for up to three (3) months beyond the end of the Pre-publication Review Period.  If Microsoft seeks to delay publication, Microsoft shall make such request in writing together with identification of information or materials of concern and reasons why delay is warranted.  You shall not unreasonably deny, condition, or delay responding to this request. 

4.	PERSONAL DATA. Personal data is any information relating to an identified or identifiable natural person. Microsoft will undertake to ensure that the Dataset contains no personal data. If, despite Microsoft’s efforts in this regard, you identify personal data in the Dataset, you agree not to use such personal data for any purpose, to delete all copies of such personal data in your possession promptly, and to inform Microsoft promptly of the foregoing so that it can remove such personal data from future transmissions of the Dataset.

5.	LICENSE TO MICROSOFT.  Microsoft is granted back, without any restrictions or limitations, a non-exclusive, perpetual, irrevocable, royalty-free, assignable and sub-licensable license, to reproduce, publicly perform or display, use, modify, post, distribute, make and have made, sell and transfer your modifications to and/or derivative works of the Dataset, for any purpose. 

6.	FEEDBACK. If you give feedback about the Dataset to Microsoft, you give to Microsoft, without charge, the right to use, share and commercialize your feedback in any way and for any purpose. You will not give feedback that is subject to a license that requires Microsoft to license the Dataset or documentation to third parties because we include your feedback in them. These rights survive this Agreement.

7.	TERM; TERMINATION. The term of this Agreement will commence upon your acceptance of this Agreement and will continue for a period of two (2) years unless terminated earlier as provided herein. If you breach this Agreement or if you sue anyone over patents that you think may apply to or read on the dataset or anyone's use of the Dataset, this Agreement (and your license and rights obtained herein) terminate automatically. If this Agreement is terminated, you must return or destroy all full or partial copies of the Dataset in your possession immediately.  Any sections that are intended to survive termination of this Agreement shall survive.

8.	EXPORT RESTRICTIONS. You must comply with all domestic and international export laws and regulations that apply to the Dataset. These laws include restrictions on destinations, end users and end use. For further information on export restrictions, visit https://aka.ms/exporting.

9.	SUPPORT SERVICES. Microsoft is not obligated under this Agreement to provide any support services for the Dataset.  Any support is provided “as is”, “with all faults”, and without warranty of any kind.

10.	ENTIRE AGREEMENT. This Agreement, and any other terms Microsoft may provide for supplements, updates, or third-party applications, is the entire agreement for the Dataset.

11.	APPLICABLE LAW AND PLACE TO RESOLVE DISPUTES. If you acquired the Dataset in the United States or Canada, the laws of the state or province where you live (or, if a business, where your principal place of business is located) govern the interpretation of this Agreement, claims for its breach, and all other claims (including consumer protection, unfair competition, and tort claims), regardless of conflict of laws principles. If you acquired the Dataset in any other country, its laws apply. If U.S. federal jurisdiction exists, you and Microsoft consent to exclusive jurisdiction and venue in the federal court in King County, Washington for all disputes heard in court. If not, you and Microsoft consent to exclusive jurisdiction and venue in the Superior Court of King County, Washington for all disputes heard in court.

12.	CONSUMER RIGHTS; REGIONAL VARIATIONS. This Agreement describes certain legal rights. You may have other rights, including consumer rights, under the laws of your state, province, or country. Separate and apart from your relationship with Microsoft, you may also have rights with respect to the party from which you acquired the Dataset. This Agreement does not change those other rights if the laws of your state, province, or country do not permit it to do so. For example, if you acquired the Dataset in one of the below regions, or mandatory country law applies, then the following provisions apply to you:
	a)	Australia. You have statutory guarantees under the Australian Consumer Law and nothing in this Agreement is intended to affect those rights.
	b)	Canada. If you acquired this Dataset in Canada, you may stop receiving updates by turning off the automatic update feature, disconnecting your device from the Internet (if and when you re-connect to the Internet, however, the Dataset will resume checking for and installing updates), or uninstalling the Dataset. The product documentation, if any, may also specify how to turn off updates for your specific device or Dataset.
	c)	Germany and Austria.
		(i)	Warranty. The properly licensed Dataset will perform substantially as described in any Microsoft materials that accompany the Dataset. However, Microsoft gives no contractual guarantee in relation to the licensed Dataset.
		(ii)	Limitation of Liability. In case of intentional conduct, gross negligence, claims based on the Product Liability Act, as well as, in case of death or personal or physical injury, Microsoft is liable according to the statutory law.

13.	Subject to the foregoing clause (ii), Microsoft will only be liable for slight negligence if Microsoft is in breach of such material contractual obligations, the fulfillment of which facilitate the due performance of this Agreement, the breach of which would endanger the purpose of this Agreement and the compliance with which a party may constantly trust in (so-called "cardinal obligations"). In other cases of slight negligence, Microsoft will not be liable for slight negligence.

14.	DISCLAIMER OF WARRANTY. THE DATASET IS LICENSED “AS-IS.” YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES OR CONDITIONS. TO THE EXTENT PERMITTED UNDER APPLICABLE LAWS, MICROSOFT EXCLUDES ALL IMPLIED WARRANTIES, INCLUDING MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.

15.	LIMITATION ON AND EXCLUSION OF DAMAGES.  IF YOU HAVE ANY BASIS FOR RECOVERING DAMAGES DESPITE THE PRECEDING DISCLAIMER OF WARRANTY, YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00.  YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.

16.	This limitation applies to (a) anything related to the Dataset, services, content (including code) on third party Internet sites, or third-party applications; and (b) claims for breach of contract, warranty, guarantee, or condition; strict liability, negligence, or other tort; or any other claim; in each case to the extent permitted by applicable law.

17.	It also applies even if Microsoft knew or should have known about the possibility of the damages.  The above limitation or exclusion may not apply to you because your state, province, or country may not allow the exclusion or limitation of incidental, consequential, or other damages.