# READ ME

This tarball has the following files:
1. README.MD
2. MICROSOFT_DATA_LICENSE_AGREEMENT.MD
3. `data_files` : Directory of data files

|                         |                     |
|-------------------------|---------------------|
| Data Set Characteristic | Multivariate        |
| Attribute Characteristic| Real                |
| Category                | Gesture Recognition |
| Associated Task         | Classification      |
| No. of Classes          | 6                   |
| No. of Data Points      | 11,63,631           |

By using this data you agree to the [MICROSOFT DATA LICENSE AGREEMENT](./MICROSOFT_DATA_LICENSE_AGREEMENT.MD).

## Data Description 

The time series data in this data set is sampled at 200Hz from an IMU (Inertial Measurement Unit - MPU6050) mounted on a white cane below the grip. The negative y-axis of the IMU is aligned along the cane's vertical axis and the positive z-axis of the IMU is aligned radially outwards with reference to the cane. Data is collected from 7 volunteers and manually labeled. Windows of duration duration 2 seconds (400 data points), are labeled. The signature for each gesture is guaranteed to be within this two second window.

For a detailed description of the data please refer the *Problem Formulation* and *Data Collection for model training* sections of the Microsoft Technical Report titled [GesturePod: Programmable Gesture Recognition for Augmenting Assistive Devices (MSR-TR-2018-14).](https://www.microsoft.com/en-us/research/publication/gesturepod-programmable-gesture-recognition-augmenting-assistive-devices/)  



| Attributes |                                   |
|------------|------------------------------------|
| millis     | The time steps in milliseconds     |
| ax         | Acceleration along x-axis          |
| ay         | Acceleration along y-axis          |
| az         | Acceleration along z-axis          |
| gx         | Gyroscope along x-axis             |
| gy         | Gyroscope along y-axis             |
| gz         | Gyroscope along z-axis             |
| label      | Gesture class                      |


**Gesture Class**: [1-No Gesture, 3-Double Tap, 4-Right Twist, 5-Left Twist, 7-Twirl, 9-Double Swipe]. (0 Label is also *No Gesture* - data points with 0 label are used as prefix and suffix to the signatures that encapsulate a gesture).  

Description of the gestures are provided in the Technical Report [(MSR-TR-2018-14).](https://www.microsoft.com/en-us/research/publication/gesturepod-programmable-gesture-recognition-augmenting-assistive-devices/) 

Data Files nomenclature convention:
        `raw_uu_gg_no_labelled.csv`

|   Col     | Description                                                |
|-----------|------------------------------------------------------------|
|   raw     | data is read from the MPU directly without post processing |
|   uu      | User ID : unique user ID                                   |
|   gg      | Gesture ID: Gesture in the file                            |
|   no      | Experiment Number                                          |

The `train_data` set has 32 files, the `validation_data` set has 8 files and the `test_data` set has 8 files.
The data in the noise folder has files with data collected when no gesture is performed. These files are not used for training.


